# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: PaymentTest
    class: XC\PaymentTest\Model\Payment\Processor\PaymentTest
    type: C
    added: true
    enabled: true
    translations:
      - code: en
        name: Payment test
      - code: es
        name: 'Prueba de pago'
    settings:
      - name: payment_level
        value: S
      - name: transaction_type
        value: S

XLite\Model\LanguageLabel:
  - {name: 'Payment level', translations: [{code: en, label: 'Payment level'}]}
  - {name: 'Success (paid)', translations: [{code: en, label: 'Success (paid)'}]}

  - {name: 'Failed callback received', translations: [{code: en, label: 'Failed callback received'}]}
  - {name: 'Send failed callback', translations: [{code: en, label: 'Send failed callback'}]}
  - {name: 'Send success callback', translations: [{code: en, label: 'Send success callback'}]}
  - {name: 'Success (authorized)', translations: [{code: en, label: 'Success (authorized)'}]}
  - {name: 'Success callback received', translations: [{code: en, label: 'Success callback received'}]}
